/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * filename: m-config.h.in                                                 *
 *                                                                         *
 * UTIL C-source: Medical Image Conversion Utility                         *
 *                                                                         *
 * purpose      : (X)MedCon template configuration header (configure)      *
 *                                                                         *
 * project      : (X)MedCon by Erik Nolf                                   *
 *                                                                         *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* $Id: m-config.h.in,v 1.6 2002/05/05 20:55:08 enlf Exp $
 */

/*
   Copyright (C) 1997-2002 by Erik Nolf

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Place - Suite 330, Boston, MA 02111-1307, USA.  */

#ifndef __M_CONFIG_H__
#define __M_CONFIG_H__

/* Define some version variables */
#define XMEDCON_MAJOR    (0)
#define XMEDCON_MINOR    (8)
#define XMEDCON_MICRO    (2)
#define XMEDCON_PRGR     "(X)MedCon"
#define XMEDCON_DATE     "16-Oct-2002"
#define XMEDCON_VERSION  "0.8.2"
#define XMEDCON_LIBVERS  "(X)MedCon 0.8.2 by Erik Nolf"

/* Define if format enabled */
#define MDC_INCLUDE_ACR  1
#define MDC_INCLUDE_GIF  1
#define MDC_INCLUDE_INW  1
#define MDC_INCLUDE_ANLZ 1
#define MDC_INCLUDE_CONC 1
#define MDC_INCLUDE_ECAT 1
#define MDC_INCLUDE_INTF 1
#define MDC_INCLUDE_DICM 1
#define MDC_INCLUDE_PNG  1

/* Define decompression program */
#define MDC_DECOMPRESS  "gunzip"

/* Define XMedCon related stuff */
#define XSUPPORTED 1
#if XSUPPORTED
 #define XMDCHELP "http://xmedcon.sourceforge.net"
 #define XMDCLUT  "/usr/X11R6/etc/"
 #define XMDCRC   "/usr/X11R6/etc/xmedconrc"
#endif

#endif

