/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * filename: medcon.h                                                      *
 *                                                                         *
 * UTIL C-source: Medical Image Conversion Utility                         *
 *                                                                         *
 * purpose      : project header file                                      *
 *                                                                         *
 * project      : (X)MedCon by Erik Nolf                                   *
 *                                                                         *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* $Id: medcon.h,v 1.16 2002/08/22 23:32:23 enlf Exp $
 */

/*
   Copyright (C) 1997-2002 by Erik Nolf

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Place - Suite 330, Boston, MA 02111-1307, USA.  */
 
#ifndef __MEDCON_H__
#define __MEDCON_H__

/****************************************************************************
                              H E A D E R S
****************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

/* define _WIN32 in case of cygwin/mingw compilation */
#ifndef _WIN32
#ifdef __MINGW32__
#define _WIN32
#elif defined __CYGWIN32__
#define _WIN32
#endif
#endif

#include "depend.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <stdarg.h>
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
#ifdef HAVE_STRINGS_H
#ifndef _WIN32
#include <strings.h>
#endif
#endif

#include "m-defs.h"
#include "m-structs.h"
#include "m-error.h"
#include "m-files.h"
#include "m-debug.h"
#include "m-fancy.h"
#include "m-getopt.h"
#include "m-algori.h"
#include "m-color.h"
#include "m-global.h"
#include "m-pixels.h"
#include "m-xtract.h"
#include "m-sigfpe.h"
#include "m-vifi.h"
#include "m-rslice.h"
#include "m-transf.h"
#include "m-qmedian.h"
#include "m-split.h"

#if XSUPPORTED
#include "m-xdummy.h"
#endif

#include "m-raw.h"


#if MDC_INCLUDE_GIF
 #include "m-gif.h"
#endif
#if MDC_INCLUDE_ACR
 #include "m-acr.h"
#endif
#if MDC_INCLUDE_INW
 #include "m-inw.h"
#endif
#if MDC_INCLUDE_INTF
 #include "m-intf.h"
#endif
#if MDC_INCLUDE_CONC
 #include "m-conc.h"
#endif
#if MDC_INCLUDE_ECAT
 #include "m-ecat64.h"
#endif
#if MDC_INCLUDE_ANLZ
 #include "m-anlz.h"
#endif
#if MDC_INCLUDE_DICM
 #include "m-dicm.h"
#endif
#if MDC_INCLUDE_PNG
 #include "m-png.h"
#endif

#ifdef __cplusplus
}
#endif

#endif

